package com.kmall.admin.service.impl;

import com.kmall.admin.dao.PinganResponseDao;
import com.kmall.admin.service.PinganResponseService;
import com.kmall.common.utils.pingan.dto.PinganResponseDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-12-06 15:29:43
 */
@Service("pinganResponseService")
public class PinganResponseServiceImpl implements PinganResponseService {
    @Autowired
    private PinganResponseDao pinganResponseDao;

    @Override
    public PinganResponseDto queryObject(Integer id) {
        return pinganResponseDao.queryObject(id);
    }

    @Override
    public List<PinganResponseDto> queryList(Map<String, Object> map) {
        return pinganResponseDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return pinganResponseDao.queryTotal(map);
    }

    @Override
    public int save(PinganResponseDto pinganResponse) {
        return pinganResponseDao.save(pinganResponse);
    }

    @Override
    public int update(PinganResponseDto pinganResponse) {
        return pinganResponseDao.update(pinganResponse);
    }

    @Override
    public int delete(Integer id) {
        return pinganResponseDao.delete(id);
    }

    @Override
    public int deleteBatch(Integer[]ids) {
        return pinganResponseDao.deleteBatch(ids);
    }
}
